import { LocalShapValue } from '../API';
import { CRUDService, ICrudService } from '../core';
export declare class LocalShapValueService extends CRUDService<LocalShapValue> {
    protected hasOneModels: ICrudService<LocalShapValue>['hasOneModels'];
    get get(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../API").Exact<{
        id: string;
    }>, import("../API").LocalShapValueGEtQuery>, "query">) => Promise<{
        __typename: "LocalShapValue";
        AIModelID: string;
        created_at: any;
        id: string;
        propertyMapID: string;
        shapValue?: number;
        updated_at: any;
        property?: {
            __typename?: "Property";
            id: string;
            dataType: import("../API").DataType;
            organizationID: string;
            userID?: string;
            accountID?: string;
            opportunityID?: string;
            ticketID?: string;
            parlorKey: string;
            objectSource?: import("../API").SourceOfData;
            type: import("../API").PropertyType;
            name: string;
            TextValue?: string;
            NumberValue?: number;
            DateValue?: any;
            BooleanValue?: boolean;
            isArchived?: boolean;
            isDisplayed: boolean;
            created_at: any;
            updated_at: any;
        };
        propertyMap: {
            __typename?: "PropertyMap";
            id: string;
            dataType: import("../API").DataType;
            description?: string;
            dropdownOptions?: string[];
            isCustom?: boolean;
            isDisplayable?: boolean;
            isLocked?: boolean;
            isManuallyEditable?: boolean;
            isManuallyEditableDisabled?: boolean;
            internalFieldName?: string;
            isQueryable?: boolean;
            name: string;
            sortIndex?: number;
            objectType: import("../API").PropertyType;
            organizationID: string;
            mapsToNativeField?: boolean;
            parlorKey?: string;
            recordCountPercent?: number;
            objectSources?: {
                __typename?: "PropertyOption";
                instances?: {
                    __typename?: "IntegrationInstance";
                    id: string;
                    name: string;
                    integrationDocument: {
                        __typename?: "IntegrationDocument";
                        id: string;
                        name: string;
                    };
                }[];
            }[];
        };
    }>;
    get useGet(): (options: import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").LocalShapValueGEtQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").LocalShapValueGEtQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").LocalShapValueGEtQuery;
        previousData?: import("../API").LocalShapValueGEtQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").LocalShapValueGEtQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").LocalShapValueGEtQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").LocalShapValueGEtQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").LocalShapValueGEtQuery>, "variables">) => import("../API").LocalShapValueGEtQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").LocalShapValueGEtQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").LocalShapValueGEtQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").LocalShapValueGEtQuery>>;
        variables: import("../API").Exact<{
            id: string;
        }>;
        fetchMore: <TFetchData = import("../API").LocalShapValueGEtQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").LocalShapValueGEtQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").LocalShapValueGEtQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").LocalShapValueFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").LocalShapValueSort | import("../API").LocalShapValueSort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").LocalShapValueListQuery, import("../API").Exact<{
        filter?: import("../API").LocalShapValueFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").LocalShapValueSort | import("../API").LocalShapValueSort[];
    }>>>) => Promise<{
        __typename?: "LocalShapValueConnection";
        totalCount: number;
        edges: {
            __typename?: "LocalShapValueEdge";
            cursor: any;
            node: {
                __typename: "LocalShapValue";
                AIModelID: string;
                created_at: any;
                id: string;
                propertyMapID: string;
                shapValue?: number;
                updated_at: any;
                property?: {
                    __typename?: "Property";
                    id: string;
                    dataType: import("../API").DataType;
                    organizationID: string;
                    userID?: string;
                    accountID?: string;
                    opportunityID?: string;
                    ticketID?: string;
                    parlorKey: string;
                    objectSource?: import("../API").SourceOfData;
                    type: import("../API").PropertyType;
                    name: string;
                    TextValue?: string;
                    NumberValue?: number;
                    DateValue?: any;
                    BooleanValue?: boolean;
                    isArchived?: boolean;
                    isDisplayed: boolean;
                    created_at: any;
                    updated_at: any;
                };
                propertyMap: {
                    __typename?: "PropertyMap";
                    id: string;
                    dataType: import("../API").DataType;
                    description?: string;
                    dropdownOptions?: string[];
                    isCustom?: boolean;
                    isDisplayable?: boolean;
                    isLocked?: boolean;
                    isManuallyEditable?: boolean;
                    isManuallyEditableDisabled?: boolean;
                    internalFieldName?: string;
                    isQueryable?: boolean;
                    name: string;
                    sortIndex?: number;
                    objectType: import("../API").PropertyType;
                    organizationID: string;
                    mapsToNativeField?: boolean;
                    parlorKey?: string;
                    recordCountPercent?: number;
                    objectSources?: {
                        __typename?: "PropertyOption";
                        instances?: {
                            __typename?: "IntegrationInstance";
                            id: string;
                            name: string;
                            integrationDocument: {
                                __typename?: "IntegrationDocument";
                                id: string;
                                name: string;
                            };
                        }[];
                    }[];
                };
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
            startCursor?: any;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").LocalShapValueListQuery, import("../API").Exact<{
        filter?: import("../API").LocalShapValueFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").LocalShapValueSort | import("../API").LocalShapValueSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").LocalShapValueListQuery, import("../API").Exact<{
            filter?: import("../API").LocalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").LocalShapValueSort | import("../API").LocalShapValueSort[];
        }>>;
        data: import("../API").LocalShapValueListQuery;
        previousData?: import("../API").LocalShapValueListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").LocalShapValueListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").LocalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").LocalShapValueSort | import("../API").LocalShapValueSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").LocalShapValueListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").LocalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").LocalShapValueSort | import("../API").LocalShapValueSort[];
        }>>(mapFn: (previousQueryResult: import("../API").LocalShapValueListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").LocalShapValueListQuery>, "variables">) => import("../API").LocalShapValueListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").LocalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").LocalShapValueSort | import("../API").LocalShapValueSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").LocalShapValueListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").LocalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").LocalShapValueSort | import("../API").LocalShapValueSort[];
        }>, import("../API").LocalShapValueListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").LocalShapValueListQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").LocalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").LocalShapValueSort | import("../API").LocalShapValueSort[];
        }>;
        fetchMore: <TFetchData = import("../API").LocalShapValueListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").LocalShapValueFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").LocalShapValueSort | import("../API").LocalShapValueSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").LocalShapValueListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").LocalShapValueListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
}
